package main

import "testing"

func TestCountIncreasesTestData(t *testing.T) {
	data := LoadData("./test-data")
	count := 7
	if c := CountIncreases(&data); c != count {
		t.Fatalf("Testnumber: %d Result: %d", count, c)
	}
}

func TestMutateDataPart2(t *testing.T) {
	data := LoadData("./test-data")
	data = MutateDataPart2(data)
	count := 5
	if c := CountIncreases(&data); c != count {
		t.Fatalf("Testnumber: %d Result: %d", count, c)
	}
}
